C+
C NAME:
C	iAskWhatEntry
C CALLING SEQUENCE:
	function iAskWhatEntry(cWhat,cWhatIn,cPrmpt)
C CALLS:
C	uppercase, itrim
C PURPOSE:
C	Internal use only.
C MODIFICATION HISTORY:
C	SEP-1994, Paul Hick (UCSD/CASS; pphick@ucsd.edu)
C-
	    character	cWhat  *(*)
	    character	cWhatIn*(*)
	    character	cPrmpt *(*)

	cWhatIn = cWhat(3:)
	cWhat(:2) = ', '
	call uppercase(cWhat)
	I  = itrim(cWhat)
	iP = index(cPrmpt,cWhat(:I))
	if (iP .eq. 0) then
	    cWhat(2:) = cWhat(3:)
	    I  = I-1
	    iP = index(cPrmpt,cWhat(:I))
	end if

	iAskWhatEntry = iP

	return
	end
